cutlass::library::MathInstructionDescription Struct Reference

`#include <library.h>`

Collaboration diagram for cutlass::library::MathInstructionDescription:
[legend]

## Public Member Functions

| MathInstructionDescription (cutlass::gemm::GemmCoord instruction_shape=cutlass::gemm::GemmCoord(), NumericTypeID element_accumulator=NumericTypeID::kInvalid, OpcodeClassID opcode_class=OpcodeClassID::kInvalid)

## Public Attributes

cutlass::gemm::GemmCoord | instruction_shape
| Shape of the target math instruction. More...
NumericTypeID | element_accumulator
| Describes the data type of the internal accumulator. More...
OpcodeClassID | opcode_class
| Classification of math instruction. More...

## Constructor & Destructor Documentation

cutlass::library::MathInstructionDescription::MathInstructionDescription | ( | cutlass::gemm::GemmCoord | instruction_shape = `cutlass::gemm::GemmCoord()`,
|  | NumericTypeID | element_accumulator = `NumericTypeID::kInvalid`,
|  | OpcodeClassID | opcode_class = `OpcodeClassID::kInvalid`
| ) |  |

inline

## Member Data Documentation

NumericTypeID cutlass::library::MathInstructionDescription::element_accumulator

cutlass::gemm::GemmCoord cutlass::library::MathInstructionDescription::instruction_shape

OpcodeClassID cutlass::library::MathInstructionDescription::opcode_class

The documentation for this struct was generated from the following file:

- library.h